Bug 196826 - installer fails to save state
installer fails to save state
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 22:46 EDT by james
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 13:03:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james 2006-06-26 22:46:21 EDT
Description of problem:

If an installation fails part-way through, for whatever reason, anaconda will
not continue from that partial-installation state, requiring a wipe and complete
re-install.


Version-Release number of selected component (if applicable):


How reproducible:

Every time.


Steps to Reproduce:

1. run the Fedora installer
2. the machine locks-up before completion
3.
  
Actual results:

Kind of like a scene from the Marx Brothers - "We gotta' halfa way there and ran
out of gas.  We turned around and went all the way back to get more gas."


Expected results:

1) Remember selections.
2) Notice what is already installed.
3) Notice what is NOT already installed.
3) Continue installing what is NOT already installed.
4) Finish the post-install configuration _after_ package installation.


Additional info:

One might imagine that this "continuation" behavior would result from re-running
the installer with "install" selected on a partly complete install.  No such
luck - instead, the install completes _without_ installing all the selected
packages.
Comment 1 Jeremy Katz 2006-06-27 13:03:19 EDT
Unfortunately, there's no way to ensure consistency at any given failure state.
 The safest thing to do is to actually have the person reselect what they intended

Note You need to log in before you can comment on or make changes to this bug.